%define _exclude_files_from_autoprov %{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:               python-llfuse
Version:            0.41.1
Release:            %mkrel 3
Summary:            Python Bindings for the low-level FUSE API
Source0:            https://pypi.python.org/packages/source/l/llfuse/llfuse-%{version}.tar.bz2
URL:                https://bitbucket.org/nikratio/python-llfuse/
Group:              Development/Python
License:            LGPLv2+

BuildRequires:      attr-devel
BuildRequires:      pkgconfig(fuse)
BuildRequires:      pythonegg(2)(setuptools)
BuildRequires:      pkgconfig(python2)
BuildRequires:      pkgconfig(python3)
BuildRequires:      pythonegg(3)(setuptools)


%description
LLFUSE is a set of Python bindings for the low level FUSE API. It requires at
least FUSE 2.8.0.

LLFUSE was originally part of S3QL, but has been factored out so that it can be
used by other projects as well.

%package -n python3-llfuse
Summary:            Python Bindings for the low-level FUSE API Python 3 packages
Group:              Development/Python

%description -n python3-llfuse
LLFUSE is a set of Python 3 bindings for the low level FUSE API. It requires at
least FUSE 2.8.0.

LLFUSE was originally part of S3QL, but has been factored out so that it can be
used by other projects as well.


%prep
%setup -q -n "llfuse-%{version}"
rm doc/html/.buildinfo
rm -rf src/llfuse.egg-info

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'

%build

%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%doc Changes.txt doc/html LICENSE
%{python2_sitearch}/*

%files -n python3-llfuse
%doc Changes.txt doc/html LICENSE
%{python3_sitearch}/*



%changelog
* Fri Feb 12 2016 umeabot <umeabot> 0.41.1-3.mga6
+ Revision: 958617
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.41.1-2.mga6
+ Revision: 889153
- rebuild for python 3.5

* Tue Sep 29 2015 philippem <philippem> 0.41.1-1.mga6
+ Revision: 885194
- imported package python-llfuse

